* [PATCH v2] meta: Run depmod after kernel module installation
@ 2018-07-09 8:06 Jan Kiszka
2018-07-09 8:31 ` Henning Schild
0 siblings, 1 reply; 2+ messages in thread
From: Jan Kiszka @ 2018-07-09 8:06 UTC (permalink / raw)
To: isar-users
Otherwise the module may not be found if the module package is installed
on its own, i.e. without the kernel package performing the depmod run.
Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
---
Change in v2:
- mark postinst executable
meta/recipes-kernel/linux-module/files/debian/postinst | 4 ++++
1 file changed, 4 insertions(+)
create mode 100755 meta/recipes-kernel/linux-module/files/debian/postinst
diff --git a/meta/recipes-kernel/linux-module/files/debian/postinst b/meta/recipes-kernel/linux-module/files/debian/postinst
new file mode 100755
index 0000000..baabf5d
--- /dev/null
+++ b/meta/recipes-kernel/linux-module/files/debian/postinst
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+
+depmod -a
--
2.16.4
^ permalink raw reply [flat|nested] 2+ messages in thread
* Re: [PATCH v2] meta: Run depmod after kernel module installation
2018-07-09 8:06 [PATCH v2] meta: Run depmod after kernel module installation Jan Kiszka
@ 2018-07-09 8:31 ` Henning Schild
0 siblings, 0 replies; 2+ messages in thread
From: Henning Schild @ 2018-07-09 8:31 UTC (permalink / raw)
To: [ext] Jan Kiszka; +Cc: isar-users
Am Mon, 9 Jul 2018 10:06:43 +0200
schrieb "[ext] Jan Kiszka" <jan.kiszka@siemens.com>:
> Otherwise the module may not be found if the module package is
> installed on its own, i.e. without the kernel package performing the
> depmod run.
>
> Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
> ---
>
> Change in v2:
> - mark postinst executable
>
> meta/recipes-kernel/linux-module/files/debian/postinst | 4 ++++
> 1 file changed, 4 insertions(+)
> create mode 100755
> meta/recipes-kernel/linux-module/files/debian/postinst
>
> diff --git a/meta/recipes-kernel/linux-module/files/debian/postinst
> b/meta/recipes-kernel/linux-module/files/debian/postinst new file
> mode 100755 index 0000000..baabf5d
> --- /dev/null
> +++ b/meta/recipes-kernel/linux-module/files/debian/postinst
> @@ -0,0 +1,4 @@
> +#!/bin/sh
> +set -e
> +
> +depmod -a
And now remove the chmod in the AUTOLOAD, not needed anymore.
Henning
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2018-07-09 8:31 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-07-09 8:06 [PATCH v2] meta: Run depmod after kernel module installation Jan Kiszka
2018-07-09 8:31 ` Henning Schild
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox